Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.core.java
Class ParameterValueList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<ModelQueryParameterValue>
                  org.eclipse.gmt.modisco.infra.query.core.java.ParameterValueList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ModelQueryParameterValue>, java.util.Collection<ModelQueryParameterValue>, java.util.List<ModelQueryParameterValue>, java.util.RandomAccess

    public class ParameterValueList

extends java.util.ArrayList<ModelQueryParameterValue>

List of query parameters, with two method for name direct value / param access.

See Also:
  Serialized Form

Constructor Summary
`ParameterValueList(ModelQueryParameterValue... values)`

Method Summary
`static ModelQueryParameterValue` | `createParameterValue(java.lang.Object value, ModelQueryParameter parameter)`
`ModelQueryParameterValue` | `getParameterValue(ModelQueryParameter parameter)` Return the parameter with specified a parameter object.
`ModelQueryParameterValue` | `getParameterValueByName(java.lang.String name)` Return the parameter with specified name.
`java.lang.Object` | `getValue(ModelQueryParameter parameter)`
`java.lang.Object` | `getValueByParameterName(java.lang.String name)` Return the value of the parameter with specidied name.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ParameterValueList

    public ParameterValueList(ModelQueryParameterValue... values)

Method Detail

### getValueByParameterName

    public java.lang.Object getValueByParameterName(java.lang.String name)

  Return the value of the parameter with specidied name.

  Parameters:
    `name` - the name.
  Returns:
    the value, or null if parameter is unknown.

### getParameterValueByName

    public ModelQueryParameterValue getParameterValueByName(java.lang.String name)

  Return the parameter with specified name.

  Parameters:
    `name` - the name.
  Returns:
    the parameter, or null if parameter is unknown.

### createParameterValue

    public static ModelQueryParameterValue createParameterValue(java.lang.Object value,
                                                                ModelQueryParameter parameter)

### getParameterValue

    public ModelQueryParameterValue getParameterValue(ModelQueryParameter parameter)

  Return the parameter with specified a parameter object.

  Parameters:
    `parameter` - the parameter object.
  Returns:
    the parameter, or null if parameter is unknown.

### getValue

    public java.lang.Object getValue(ModelQueryParameter parameter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD